﻿using Infragistics.Windows.DataPresenter;
using System.Windows;
using System.Windows.Input;

namespace XDGExpandableCells
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();

            ViewModel2 vm2 = new ViewModel2();
            this.xdg.DataSource = vm2.Data;
        }

        private void xdgSmall_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid xdgSender = sender as XamDataGrid;
            /*
             * workaround to start editing XamDataGrid in the template cells without pressing Control
             * 
            DataRecord dr = xdgSender.Records[0] as DataRecord;

            xdgSender.ActiveCell = dr.Cells[0];
            */

        }

        private void XdgSender_PreviewMouseWheel(object sender, System.Windows.Input.MouseWheelEventArgs e)
        {
            var e2 = new MouseWheelEventArgs(e.MouseDevice, e.Timestamp, e.Delta);
            e2.RoutedEvent = UIElement.MouseWheelEvent;
            this.xdg.ScrollInfo.ScrollOwner.RaiseEvent(e2);
            e.Handled = true;
        }

        private void xdg_RecordExpanded(object sender, Infragistics.Windows.DataPresenter.Events.RecordExpandedEventArgs e)
        {
           
        }

        private void XamComboEditor_Loaded(object sender, RoutedEventArgs e)
        {
        }
    }
}
